=== src/llvm-project/lldb/source/Plugins/Language/CMakeLists.txt ===
add_subdirectory(ClangCommon)
add_subdirectory(CPlusPlus)
add_subdirectory(ObjC)
add_subdirectory(ObjCPlusPlus)
add_subdirectory(Rust)
