=== debian/changelog ===
rustc (1.34.1+dfsg2+llvm-0ubuntu1~18.10.1) cosmic; urgency=medium

  * Backport to Cosmic.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 17 May 2019 11:12:33 +1200

rustc (1.34.1+dfsg2+llvm-0ubuntu1) eoan; urgency=medium

  * New upstream release.
    - Refresh patches.
    - Bump rustc versions in d/control.
  * Add d-no-web-dependencies-in-doc-0.1.7.patch: there are now two copies of
    mdbook that need patching.
  * Adjust d/rules to cope with the fact that src/llvm is now src/llvm-project.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 17 May 2019 10:58:38 +1200

rustc (1.33.0+dfsg1+llvm-1~exp1ubuntu1) eoan; urgency=medium

  * Merge from Debian unstabl^Wexperimenta^WNEW. Remaining changes:
    - Use the bundled llvm to avoid having to do llvm updates in order to
      deliver rust updates
      - update debian/config.toml.in
      - update debian/control
      - update debian/copyright
      - update debian/rules
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
      - update debian/control
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
      - update debian/make_orig-stage0_tarball.sh
    - Scrub -g from CFLAGS and CXXFLAGS in order to let rustbuild control
      whether LLVM is compiled with debug symbols
      - update debian/rules
    - On i386, only build debuginfo for libstd
      - update debian/rules
    - Ignore all test failures on every architecture
      - update debian/rules
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
      - update debian/control
    - Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an
      upgrade issue
      - update debian/control
    - Adjust debian/watch to include +llvm in upstream version.
      - update debian/watch

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Mon, 13 May 2019 14:15:10 +1200

rustc (1.33.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.

  [ Hiroaki Nakamura ]
  * Delete obsolete patch.

  [ Sylvestre Ledru ]
  * Update compiler-rt patch.
  * Improve build-related docs a bit.

 -- Ximin Luo <infinity0@debian.org>  Mon, 29 Apr 2019 11:43:26 -0700

rustc (1.32.0+dfsg1-3) unstable; urgency=medium

  * Conditionally-apply u-compiletest.patch based on stage0 compiler.
  * Fix syntax error in d/rules compiletest check.

 -- Ximin Luo <infinity0@debian.org>  Sun, 17 Mar 2019 16:40:05 -0700

rustc (1.32.0+dfsg1-2) unstable; urgency=medium

  * More verbose logging during builds.
  * Fix compiletest compile error, and check log has at least 1 pass.

 -- Ximin Luo <infinity0@debian.org>  Sun, 17 Mar 2019 12:52:57 -0700
